commit:     db11817dfa0ea0455db7b5f12eb3aa4c0b6d765c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 13 07:52:15 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 13 07:53:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db11817d

dev-ruby/activerecord: add 5.2.4.5

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activerecord/Manifest                    |  1 +
 dev-ruby/activerecord/activerecord-5.2.4.5.ebuild | 89 +++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index 212a487f099..563252c516c 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -1,3 +1,4 @@
 DIST rails-5.2.4.3.tgz 8824955 BLAKE2B 
7db1bdda581e345713b796152c68e13911076c0af752aa91016a559fb380ee33b5f1822576120940995968efa6351165af0e21f97ff2e201bc8250f7e3178089
 SHA512 
b01b454f38593b50788cecef4f2b25938b0e176d24476bf0a8145b581c7327e0d8572a62fab4256372b51d75a9463431bbd98470a31298a6ff4d5f81f7ff92ce
 DIST rails-5.2.4.4.tgz 8825200 BLAKE2B 
e56f828f46ef72a2ec59006f37410aa53ca33730452d74d8deefc3975a24940500a48864c18523fad1141e025192b8bfc0c050abc04a01a88333fc825640d4b9
 SHA512 
6ea50009f769e2e2e6df6cd31fb10e8a770c61f28496432cb7a30265f9064fa8e61c8a0c2569fa056baf31d273ab25cc8c9bd02523214a35e3bbd94e4db293e5
+DIST rails-5.2.4.5.tgz 8826076 BLAKE2B 
41a13708f72f0c281af7b6c97828d873b9431913315e155bec2f798b83a9fd214a0176a93ba74d96b48718dc900b6737a62f5d6593ef7f5bb0b8430c96e5e234
 SHA512 
452e0649638daf57e8f7c6131bb048c0d960e875fbc3596678404965fd1438a5151858b22c2441a927509337b6a256671b53c24ee35ff477e18153af358b08af
 DIST rails-6.0.3.4.tgz 18568864 BLAKE2B 
8f554a25ce02e4752c1a964257836a5cb0a6c01c3453ff11cd8423a9153e90ab833a32cadfe939a34e094cefd553f5514abd7817004b464b054889ab7dc05b76
 SHA512 
147f76792ce2d2484071fe247c8f1541c9ca27dcc405ff7a780771e3436a9acf3d326bbfd7c6dceca510b6f4d5209ee0a0859867174b8291d796ffd519fa2ba9

diff --git a/dev-ruby/activerecord/activerecord-5.2.4.5.ebuild 
b/dev-ruby/activerecord/activerecord-5.2.4.5.ebuild
new file mode 100644
index 00000000000..fad213fecb9
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-5.2.4.5.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+       ~dev-ruby/activemodel-${PV}
+       dev-ruby/arel:9.0
+       sqlite? ( >=dev-ruby/sqlite3-1.3.6 )
+       mysql? ( dev-ruby/mysql2:0.5 )
+       postgres? ( >=dev-ruby/pg-0.18.0:* )"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/bundler
+               ~dev-ruby/actionpack-${PV}
+               ~dev-ruby/actionmailer-${PV}
+               >=dev-ruby/sqlite3-1.3.6
+               dev-ruby/mocha
+               dev-ruby/minitest:5
+       )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       rm ../Gemfile.lock || die
+       sed -i -e 
"/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' 
../railties/railties.gemspec || die
+       sed -e '/bcrypt/ s/3.0.0/3.0/' \
+               -i ../Gemfile || die
+
+       # Add back json in the Gemfile because we dropped some dependencies
+       # earlier that implicitly required it.
+       sed -i -e '$agem "json"' \
+               ../Gemfile || die
+
+       sed -e '3i gem "activesupport", "~> 5.2.0"' \
+               -e '3i gem "activerecord", "~> 5.2.0"' \
+               -e '3i gem "activemodel", "~> 5.2.0"' \
+               -i test/cases/helper.rb || die
+
+       # Avoid test depending on mysql adapter which we don't support for
+       # this Rails version to simplify our dependencies.
+       rm test/cases/connection_specification/resolver_test.rb || die
+
+       # Avoid single test using mysql dependencies.
+       rm test/cases/invalid_connection_test.rb || die
+
+       # Avoid failing test that makes bad assumptions on database state.
+       sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^  end/ s:^:#:' 
\
+               test/cases/associations/has_many_associations_test.rb
+
+       # Avoid test failing to bind limit length in favor of security release
+       sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' 
test/cases/bind_parameter_test.rb || die
+}
+
+each_ruby_test() {
+       if use sqlite; then
+               MT_NO_PLUGINS=true ${RUBY} -S rake test_sqlite3 || die "sqlite3 
tests failed"
+       fi
+}

Reply via email to